Package org.apache.tapestry5.beanmodel

## Class BeanModelUtils

- java.lang.Object
- - org.apache.tapestry5.beanmodel.BeanModelUtils

-     public final class BeanModelUtils
      extends Object

  Utilities used in a few places to modify an existing `BeanModel`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BeanModelUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `add​(BeanModel model, String propertyNames)` | Adds empty properties to the bean model.
    `static void` | `exclude​(BeanModel model, String propertyNames)` | Removes properties from the bean model.
    `static void` | `include​(BeanModel model, String propertyNames)` | Selects a subset of the properties to keep, and reorders them.
    `static void` | `modify​(BeanModel model, String addPropertyNames, String includePropertyNames, String excludePropertyNames, String reorderPropertyNames)` | Performs standard set of modifications to a `BeanModel` .
    `static void` | `reorder​(BeanModel model, String propertyNames)` | Reorders properties within the bean model.
    `static String[]` | `split​(String propertyNames)` | Don't use this method, which is only public for testing purposes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanModelUtils

          public BeanModelUtils()

  - ### Method Detail

    - #### modify

          public static void modify​(BeanModel model,
                                    String addPropertyNames,
                                    String includePropertyNames,
                                    String excludePropertyNames,
                                    String reorderPropertyNames)

      Performs standard set of modifications to a `BeanModel` . First new properties may be added, then properties removed, then properties reordered.
      Parameters:
        `model` - to modifiy
        `addPropertyNames` - comma seperated list of property names to add, or null
        `includePropertyNames` - comma seperated list of property names to include
        `excludePropertyNames` - comma seperated list of property names to exclude, or null
        `reorderPropertyNames` - comma seperated list of property names to reorder, or null

    - #### add

          public static void add​(BeanModel model,
                                 String propertyNames)

      Adds empty properties to the bean model. New properties are added with a null `PropertyConduit`. `
      Parameters:
        `model` - to be modified
        `propertyNames` - comma-separated list of property names
      See Also:
        `BeanModel.addEmpty(String)`

    - #### exclude

          public static void exclude​(BeanModel model,
                                     String propertyNames)

      Removes properties from the bean model.
      Parameters:
        `model` -
        `propertyNames` - comma-separated list of property names
      See Also:
        `BeanModel.exclude(String...)`

    - #### include

          public static void include​(BeanModel model,
                                     String propertyNames)

      Selects a subset of the properties to keep, and reorders them.

    - #### reorder

          public static void reorder​(BeanModel model,
                                     String propertyNames)

      Reorders properties within the bean model.
      Parameters:
        `model` -
        `propertyNames` - comma-separated list of property names
      See Also:
        `BeanModel.reorder(String...)`

    - #### split

          public static String[] split​(String propertyNames)

      Don't use this method, which is only public for testing purposes.
      Parameters:
        `propertyNames` -
      Returns:
        a String array